# encoding: utf-8

# File:        clients/inst_oes_disable_proposal.ycp
# Package:     novell-common
# Summary:     Pre-Configure items
# Authors:     Suresh K. Hosamani <hsuresh@novell.com>
#
# $Id: inst_oes_disable_proposal,v 1.0 2011/10/20 22:10:11 hsuresh Exp $
#
module Yast
  class InstOesDisableProposalClient < Client
    def main

      textdomain "novell-base"

      Yast.import "Package"
      Yast.import "Progress"
      Yast.import "Service"
      Yast.import "Mode"
      Yast.import "ProductControl"
      Yast.import "FileUtils"

      @ret = :auto

      @args = Convert.to_map(WFM.Args(0))
      return @ret if Ops.get_boolean(@args, "going_back", false) == true

      if FileUtils.Exists("/var/lib/YaST2/OES11_AUTOUPGRADE")
        Builtins.y2milestone("inst_oes_disable_proposal: autoyast upgrade mode")
        ProductControl.DisableProposal("oes_product")
        Builtins.y2milestone(
          "inst_oes_disable_proposal: disabled oes product proposal for autoyast upgrade"
        )
        return @ret
      end

      @ret
    end
  end
end

Yast::InstOesDisableProposalClient.new.main
