# encoding: utf-8

# -------------------------------------------------------------------------------
# Copyright 2024 Open Text.
#
# The only warranties for products and services of Open Text and its
# affiliates and licensors (“Open Text”) are as may be set forth in the
# express warranty statements accompanying such products and services.
# Nothing herein should be construed as constituting an additional
# warranty. Open Text shall not be liable for technical or editorial
# errors or omissions contained herein. The information contained herein
# is subject to change without notice.
#
# Except as specifically indicated otherwise, this document contains
# confidential information and a valid license is required for possession,
# use or copying. If this work is provided to the U.S. Government,
# consistent with FAR 12.211 and 12.212, Commercial Computer Software,
# Computer Software Documentation, and Technical Data for Commercial Items
# are licensed to the U.S. Government under vendor's standard commercial
# license.
# -------------------------------------------------------------------------------
# -------------------------------------------------------------------------------
# (C) Copyright 2019 - 2022 Micro Focus or one of its affiliates.
#
# The only warranties for products and services of Micro Focus and its affiliates
# and licensors (“Micro Focus”) are as may be set forth in the express warranty
# statements accompanying such products and services. Nothing herein should be
# construed as constituting an additional warranty. Micro Focus shall not be
# liable for technical or editorial errors or omissions contained herein. The
# information contained herein is subject to change without notice.
#
# Except as specifically indicated otherwise, this document contains confidential
# information and a valid license is required for possession, use or copying. If
# this work is provided to the U.S. Government, consistent with FAR 12.211 and
# 12.212, Commercial Computer Software, Computer Software Documentation, and
# Technical Data for Commercial Items  are licensed to the U.S. Government under
# vendor's standard commercial license.
# ------------------------------------------------------------------------------
# Copyright (c) 2006 Novell, Inc. All Rights Reserved.
#
#
# This program is free software; you can redistribute it and/or modify it under
# the terms of version 2 of the GNU General Public License as published by the
# Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along with
# this program; if not, contact Novell, Inc.
#
# To contact Novell about this file by physical or electronic mail, you may find
# current contact information at www.novell.com.
# ------------------------------------------------------------------------------

# File:        clients/inst_oes_bootloader_setup.rb
# Package:     novell-common
# Summary:     Set GRUB_DISTRIBUTOR in /etc/default/grub
# Authors:     Suresh K. Hosamani <hsuresh@novell.com>
#
#

module Yast
  class InstOesPreSetup < Client
    def main

      textdomain "novell-base"

      Yast.import "Bootloader"
      Yast.import "FileUtils"
      Yast.import "Installation"
      Yast.import "Misc"
      Yast.import "Mode"
      Yast.import "String"
      Yast.import "NovellUtils"
      @ret = :auto


      @args = Convert.to_map(WFM.Args(0))
      return @ret if Ops.get_boolean(@args, "going_back", false) == true

      NovellUtils.AddKernelBootParam("vga", "0x317")
      NovellUtils.AddKernelBootParam("systemd.show_status", "0")
      NovellUtils.AddKernelBootParam("split_lock_detect", "off")
      NovellUtils.SetupGrubDristributor()
      if Mode.update || Mode.autoupgrade
        NovellUtils.FindUpgradeIsFrom
      end
      @ret
    end
  end
end

Yast::InstOesPreSetup.new.main
