# encoding: utf-8

# File:	clients/oes-install.ycp
# Module:	Installation/Configuration of Open Enterprise Server (OES)
# Summary:	Main OES installation/configuration
# Authors:	Michael G. Fritch <mgfritch@novell.com>
#
# $Id: oes-install.ycp 31352 2006-06-06 23:53:13Z mgfritch $
module Yast
  class OesInstallClient < Client
    def main
      Yast.import "UI"

      textdomain "novell-base"

      Builtins.y2milestone("----------------------------------------")
      Builtins.y2milestone("oes-install started")

      Yast.import "OesAddOnProduct"
      Yast.import "NovellPatterns"
      Yast.import "Wizard"
      Yast.import "Popup"

      @ret = :auto
      @success = true

      Wizard.CreateDialog
      Wizard.SetTitleIcon("oes-install")
      Wizard.SetContents(
        _("Initializing"),
        Empty(),
        _("Please wait..."),
        false,
        false
      )

      @src_id = NovellPatterns.GetProductSourceID(NovellPatterns.oes_addon_name)
      Builtins.y2milestone(
        "mtc:oes_addon_name: %1",
        NovellPatterns.oes_addon_name
      )
      if @src_id != nil && Ops.greater_or_equal(@src_id, 0) # found the oes add-on product source id?
        OesAddOnProduct.src_id = @src_id
        Builtins.y2milestone(
          "OesAddOnProduct::src_id = %1",
          OesAddOnProduct.src_id
        )
        @ret = OesAddOnProduct.DoInstall # Start the product workflow (installation.xml)
        Builtins.y2milestone("OesAddOnProduct::DoInstall() returned: %1", @ret)
      else
        Builtins.y2error("OES add-on product src_id=%1", @src_id)
        @ret = OesAddOnProduct.DoInstall_NoControlFile # Start the product workflow (installation.xml)
        Builtins.y2milestone(
          "OesAddOnProduct::DoInstall_NoControlFile() returned: %1",
          @ret
        )
        Builtins.y2error("Failed to find OES add-on product!") 
        #        success = false;
      end

      #    if ( ! success )
      #    {
      #        y2error("Cannot find the OES product add-on!!!");
      #        Popup::Message(_("Cannot find the OES product add-on!"));
      #        ret = `abort;
      #    }

      Builtins.y2debug("ret=%1", @ret)

      # Finish
      Builtins.y2milestone("oes-install finished")
      Builtins.y2milestone("----------------------------------------")


      UI.CloseDialog
      @ret 

      # EOF
    end
  end
end

Yast::OesInstallClient.new.main
